CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Recommended modules
 * Installation
 * Configuration
 * Troubleshooting
 * FAQ
 * Maintainers

INTRODUCTION
------------

Extra Paragraph Types: Tabs module create a new paragraph type for tabs.
Tab content can be paragraphs, pages, Views and formatted text.
Tabs are based on jQuery UI Tabs plugin and have
various settings for the jquery plugin.

REQUIREMENTS
------------

This module requires the following modules:
 * [EPT Core](https://www.drupal.org/project/ept_core)
 * [Paragraphs](https://www.drupal.org/project/paragraphs)
 * [Paragraph field](https://www.drupal.org/project/paragraph_field)
 * [jQuery UI Tabs](https://www.drupal.org/project/jquery_ui_tabs)
 * [Views Reference Field](https://www.drupal.org/project/viewsreference)

EPT Modules use Media module with Media Image type for background images.
Check Media Image type exists before install EPT Core module.
EPT Tabs module requires Page content type to be installed.

RECOMMENDED MODULES
-------------------

EPT modules provide ability to add different paragraphs in few clicks.
You can install separate paragraph types from this bunch of EPT modules:
 * [EPT Accordion / FAQ](https://www.drupal.org/project/ept_accordion)
 * [EPT Basic Button](https://www.drupal.org/project/ept_basic_button)
 * [EPT Bootstrap Button](https://www.drupal.org/project/ept_bootstrap_button)
 * [EPT Call to Action](https://www.drupal.org/project/ept_cta)
 * [EPT Carousel](https://www.drupal.org/project/ept_carousel)
 * [EPT Counter](https://www.drupal.org/project/ept_counter)
 * [EPT Quote](https://www.drupal.org/project/ept_quote)
 * [EPT Slick Slider](https://www.drupal.org/project/ept_slick_slider)
 * [EPT Slideshow](https://www.drupal.org/project/ept_slideshow)
 * [EPT Stats](https://www.drupal.org/project/ept_stats)
 * [EPT Tabs](https://www.drupal.org/project/ept_tabs)
 * [EPT Text](https://www.drupal.org/project/ept_text)
 * [EPT Timeline](https://www.drupal.org/project/ept_timeline)
 * [EPT Webform](https://www.drupal.org/project/ept_webform)
 * [EPT Webform Popup](https://www.drupal.org/project/ept_webform_popup)

More about EPT paragraphs read on EPT Core module page:
[EPT Core](https://www.drupal.org/project/ept_core)

INSTALLATION
------------

 * Install as you would normally install a contributed Drupal module. Visit
   https://www.drupal.org/node/1897420 for further information.

CONFIGURATION
-------------

Tab page field is working only for Page content type by default.
You should add another content types on
"Tab page settings for Tab" settings form:
/admin/structure/paragraphs_type/ept_tab/fields/paragraph.ept_tab.field_ept_tab_page

EPT Core has configuration form with Primary/Secondary colors
and Mobile/Tablet/Desktop breakpoints in
Administration » Configuration » Content authoring
» Extra Paragraph Types (EPT) settings

These configs will be applied to other EPT paragraphs by default.

TROUBLESHOOTING
---------------

 * If you see the error during EPT modules installation:
   "The EPT Carousel needs to be created "Image" media type.
   (Currently using Media type Image version Not created)"
   Then you need to create Image media type:
   Structure » Media types » Add media type

FAQ
---

Q: Why Tab Title is formatted text field?

A: Requirements for tabs can be different,
EPT: Tabs module tends to be flexible.
Formatted text fields allows to output
additional Font Awesome icons with <i> tag,
emphasize some words with bold font or italic,
display different titles for mobile and desktop version using
css classes, such are .visible-sm, .hidden-md for Bootstrap.

Q: Can I use only one EPT paragraph type, for example EPT Slideshow,
without other modules?

A: Yes, sure. EPT paragraph types tend to be standalone modules.
You can install only needed paragraph types.

MAINTAINERS
-----------

 * [Ivan Abramenko](https://www.drupal.org/u/levmyshkin)
